<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ToDo App</title>
    <style>
        *{
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        body{
            width: 100%;
            display: flex;
            height: 100vh;
            align-items: center;
            justify-content: center;
            font-size: 18px;
            letter-spacing: 1px;

        }
        .container{
            border: 1px solid black;
            border-radius: 20px;
            width: 100%;
            max-width: 500px;
            padding: 15px 30px 30px;
        }
        .container h2{
            text-align: center;
            padding: 10px;
        }
        .row {
        display: flex;
        align-items: center;
        justify-content: space-between;
        border: none;
        border-radius: 30px;
        margin-bottom: 10px;
        outline: 2px groove black;
       
    }
    input{
        height: 40px;
        border-radius: 50px;
        padding: 20px;
        border: none;
        flex: 1;
        outline: none;
        letter-spacing: 1px;
    }
    input::placeholder{
        color: darkcyan;
    }
    button{
        border: none;
        outline: none;
        padding: 15px 30px;
        border-radius: 30px;
        background-color: #22385f;
        cursor:pointer;
        margin: 1px;
        font-size: 18px;
        font-weight: 100;
        color:#fff;
    }
    ul li{
        list-style-type: none;
        cursor: pointer;
        font-weight: 200;
        padding: 10px 5px 8px 40px;  
        /* background-color: yellowgreen; */
        border-radius: 20px;
        margin-block: 2px;  
        display: flex;
        align-items: center;
        position: relative;
    }
    ul li::before{
        content: '';
        position: absolute;
        height: 20px;
        width: 20px;
        background: url(unchecked.png);
        background-position: center;
        background-size: cover;
        top: 10px;
        left: 15px;
    }
    ul li.checked{
        background-color:#22385f;
        color: aliceblue;
        border-radius: 30px;
    }
    ul li.checked::before{
        content: '';
        position: absolute;
        height: 20px;
        width: 20px;
        background: url(check.png);
        background-position: center;
        background-size: cover;
        top: 10px;
        left: 15px;
        border-radius: 50%;
        margin: 1px;
    }
    ul li span{
        position: absolute;
        top: 10px;
        right: 0px;
        padding: 1px;
        width: 20px;
        height: 20px;
        color: #22385f;
        text-align: center;
        font-weight: 400;
        margin-right: 5px;
        padding-bottom: 2px;
    }
    ul li span:hover{
        background-color: #22385f;
        color: #fff;
        border-radius: 50%;
    }
    ul li.checked span{
        color: #fff;
        font-weight: 900;
    }
    ul li.checked span:hover{
            background-color: #fff;
            color: #22385f;

    }

</style>
</head>
<body>
    <div class="container">
        <h2>ToDo App</h2>
        <div class="row">
            <input type="text" id="inputTask" name="inputTask" placeholder="Enter your Task" />
            <button onclick="addTask()">Add Task</button>
        </div>
        <ul id="todolist" class="todolist">
            
        </ul>
    </div>
    <script>
        const inputBox = document.getElementById('inputTask');
        const taskList = document.getElementById('todolist');

        function addTask(){
            if(inputBox.value === ''){
                alert("Enter your Task");
            }else{
                let task = document.createElement("Li");
                task.textContent = inputBox.value;
                taskList.appendChild(task);
                let span = document.createElement('SPAN');
                span.textContent ='\u00d7';
                task.appendChild(span);
                saveData();
            }
            inputBox.value = '';
        }
       
        taskList.addEventListener('click',(ele)=>{
            if(ele.target.tagName == 'LI'){
                ele.target.classList.toggle('checked')
                saveData();
            }else if (ele.target.tagName == 'SPAN'){
                ele.target.parentElement.remove();
                saveData();
            }
        })

        function saveData(){
            localStorage.setItem('tasks',taskList.innerHTML);
        }
        
        function showData(){
            taskList.innerHTML = localStorage.getItem('tasks');
        }
        showData();
    </script>
</body>
</html>